Gets the latest state of a long-running operation. Users can use this method to poll the
operation result at intervals as recommended by the API service.

## Required permissions

The authenticated user must have the following IAM permissions on the bucket to
use this method:

- `storage.bucketOperations.get`

## Request

### HTTP request

```
GET https://storage.googleapis.com/storage/v1/b/bucket/operations/operationId
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following query parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | Name of a bucket. |
| `operationId` | `string` | The ID of the operation. |

### Request body

Do not supply a request body with this method.

## Response

If successful, the response body contains an instance of
[`Operation`](https://docs.cloud.google.com/storage/docs/json_api/v1/operations.md.txt).

For information about status and error codes returned by this API, see the
[reference page](https://docs.cloud.google.com/storage/docs/json_api/v1/status-codes.md.txt).

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.